<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:wm="scpf.org:webMedia"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="sc sp">
    
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />
    
	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />

	<xsl:template match="wm:subSegmentRef">
		<xsl:value-of select="getContent(gotoSubModel(wm:subSegmentRefM/sp:refItem), 'duration')" />
	</xsl:template>
	
	<xsl:template match="*">
		<xsl:variable name="vStart" select="(.//wm:segmentM//sp:begin)[1]"/>
		<xsl:variable name="vEnd" select="(.//wm:segmentM//sp:end)[last()]"/>
        
		<xsl:value-of select="$vEnd - $vStart" />
	</xsl:template>
</xsl:stylesheet>
