<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="sc sp">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:template match="*">
				<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat(concat('@', switchAxis(codeAgent('//'), 'presentation')), '/xhtmlContent'))"/>
			<a class="openGallery" href="openGallery:0">
				<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat(concat('@', switchAxis(codeAgent('//'), 'display')), '/xhtmlContent'))"/>
				<xsl:variable name="vNbrImgGal">
					<xsl:choose>
						<xsl:when test="count(sp:img)=1">une image</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="count(sp:img)"/> images</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<div class="messageOpenGal"><span>Lancer la galerie (<xsl:value-of select="$vNbrImgGal"/>)</span></div>
			</a>
	</xsl:template>
</xsl:stylesheet>