<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="scpf.org:webMedia/sorehaPhone" version="1.0">

    <xsl:output indent="yes" />
    <xsl:strip-space elements="*" />

<xsl:template match="node() | @*"> 
	     <xsl:copy>
            <xsl:apply-templates select="node() | @*" />
        </xsl:copy>
    </xsl:template>  

<!-- Les termes de glossaire dans un CDATA pour Soreha -->

<xsl:template match="*[local-name()='desc']" priority="2">
	<desc><xsl:text disable-output-escaping="yes">&lt;![CDATA[</xsl:text>
		<xsl:copy-of select="./*"/>
	<xsl:text disable-output-escaping="yes">]]&gt;</xsl:text></desc>
</xsl:template>
	
</xsl:stylesheet>
