<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:of="scpf.org:office" xmlns:wm="scpf.org:webMedia" exclude-result-prefixes="sc sp of wm">
	
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
	
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	
	<xsl:template match="wm:montage">
		<xsl:apply-templates select="sp:segmentationFull | sp:segment"/>
	</xsl:template>
	
	<xsl:template match="sp:segmentationFull | sp:segment">
		<xsl:value-of select="execute(setDialogVar('montagePos', position()))" />
		<xsl:variable name="vRefId" select="wm:subSegmentRef/wm:subSegmentRefM/sp:refId" />
		<xsl:variable name="vSubModel" select="if(self::sp:segment, wm:subSegmentRef/wm:subSegmentRefM/sp:refItem, .)" />
		
		<xsl:value-of select="computeStrAgent(concat('@', gotoSubModel($vSubModel), '/xhtmlContent'),concat('refId=', $vRefId, ';'))" disable-output-escaping="yes" />
	</xsl:template>

</xsl:stylesheet>