<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:of="scpf.org:office" xmlns:wm="scpf.org:webMedia" exclude-result-prefixes="sc sp of wm">
	
	<xsl:output method="text" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
	
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:param name="vArguments"/>

	<xsl:template match="wm:subSegmentRef">
		<xsl:variable name="vRefItem" select="wm:subSegmentRefM/sp:refItem" />
		<xsl:variable name="vRefId" select="wm:subSegmentRefM/sp:refId" />
		<xsl:value-of select="computeStrAgent(concat('@', gotoSubModel($vRefItem), '_AsegmentRef/xhtmlContent'),concat('refId=', $vRefId, ';'))" disable-output-escaping="yes"/>
	</xsl:template>

</xsl:stylesheet>
