<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:of="scpf.org:office" xmlns:wm="scpf.org:webMedia" xmlns:sfm="http://www.utc.fr/ics/scenari/v3/filemeta">

	<xsl:output encoding="UTF-8" indent="yes" method="xml" />
	
	<!-- Migration des uLink des url vers des phrase -->
	<xsl:template match="sc:uLink[not(@role) or @role='url']">
		<sc:phrase role="url"><of:urlM><sp:url><xsl:value-of select="@url" /></sp:url></of:urlM><xsl:apply-templates /></sc:phrase>
	</xsl:template>

	<xsl:template match="node() | @*">
		<xsl:copy>
			<xsl:apply-templates select="node() | @*" />
		</xsl:copy>
	</xsl:template>


</xsl:stylesheet>