<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:menu="widgets.menu.*" xmlns:swc="widgets.core.*"
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:wm="scpf.org:webMedia" xmlns:of="scpf.org:office"
	xmlns:ss="scenari.slideshow.*" xmlns="widgets.core.*" xmlns:sws="widgets.slideshow.*"
	xmlns:swp="widgets.panes.*" xmlns:swim="widgets.indexedMedia.*" xmlns:co="co.*"
	xmlns:mx="http://www.adobe.com/2006/mxml" exclude-result-prefixes="sc sp of wm">
	
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
	
	<xsl:param name="vArguments"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	
	<xsl:template match="wm:altMediaM">
		<!-- Selection de la première alternative correspondant à un flv -->
		<xsl:apply-templates select="(sp:altMpeg|sp:altMedia)[containWord('sfile_mp3', srcFields(srcFileAgent(concat('@', getIdFromPath(@sc:refUri))), 'itModel'))][1]" />
	</xsl:template>

	<xsl:template match="sp:altMpeg | sp:altMedia">
		<xsl:value-of select="getUrl(gotoSubModel(), 'nav')" disable-output-escaping="yes" />
	</xsl:template>
	
	<xsl:template match="* | text()" />
</xsl:stylesheet>
