<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="sc sp">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:template match="sc:extBlock[@role='img' and not(parent::sc:cell)]">
		<xsl:choose>
			<xsl:when test="@sc:refUri">
				<xsl:value-of xmlns:scOrigin="eu.scenari.gen.xslt.OriginSrc"
					select="execute(setEntryBuffer('itemBuffer', srcFields(resolveSrcPath(@sc:refUri), 'srcUri')))"
				/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="text()|@*"/>
</xsl:stylesheet>
