<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="sc sp">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:template match="*">
		<xsl:apply-templates select="//sp:transcript"/>
	</xsl:template>
	<xsl:template match="sp:transcript">
		<xsl:variable name="vType" select="typeAgent(concat('@',gotoSubModel()))"/>
		<xsl:if test="$vType != 'sfile_pdf' and $vType != 'sfile_rtf'">
			<div class="transcript" role="dialog" id="{alphaHash(getIdNode(.))}">
				<button class="tocTagsClose" title="Fermer la fenêtre">
					<span>Fermer la fenêtre</span>
				</button>
				<div class="transcriptTxt">
					<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
				</div>
				<button class="focusOut">
					<span>Sortir de la fenêtre</span>
				</button>
				<button class="focusOnCloseBtn">
					<span>Retour en début de fenêtre</span>
				</button>
			</div>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>