<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:java="http://xml.apache.org/xslt/java" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" exclude-result-prefixes="java"><xsl:output method="xml" indent="no" encoding="UTF-8"/><xsl:param name="vDialog"/><xsl:param name="vAgent"/><xsl:template match="*"><html><head><xsl:variable name="vWinTitle"><xsl:value-of select="titleAgent($vDialog)"/></xsl:variable><title><xsl:value-of select="normalize-space($vWinTitle)"/></title><meta charset="UTF-8"/>
						
						<link rel="stylesheet" type="text/css" href="{translatePubPath2DestUrl('/lib-md/w_scImgMgr/scImgMgr.css')}"/>


						<script type="text/JavaScript" >
/*0*/ var scServices = {id:"<xsl:value-of select="computeStrAgent('/@@/genId')"/>"};
/*1*/ window.scLoadParams = {destUri:"<xsl:value-of select="java:getDestUri(java:getPage($vDialog))"/>", pathToRoot:"<xsl:value-of select="resolveDestUri2DestUrl('/')"/>"<xsl:if test="java:com.scenari.m.ge.generator.web.WebGenUtils.getLocationSkin(java:com.scenari.m.ge.xpath.dom.ZXPathGenProp.getGenerator($vDialog))!='/skin'">, skinLoc:"<xsl:value-of select="java:com.scenari.m.ge.generator.web.WebGenUtils.getLocationSkin(java:com.scenari.m.ge.xpath.dom.ZXPathGenProp.getGenerator($vDialog))"/>"</xsl:if><xsl:if test="java:com.scenari.m.ge.generator.web.WebGenUtils.getLocationLibSc(java:com.scenari.m.ge.xpath.dom.ZXPathGenProp.getGenerator($vDialog))!='/lib-sc'">, libScLoc:"<xsl:value-of select="java:com.scenari.m.ge.generator.web.WebGenUtils.getLocationLibSc(java:com.scenari.m.ge.xpath.dom.ZXPathGenProp.getGenerator($vDialog))"/>"</xsl:if><xsl:if test="java:com.scenari.m.ge.generator.web.WebGenUtils.getLocationLibMd(java:com.scenari.m.ge.xpath.dom.ZXPathGenProp.getGenerator($vDialog))!='/lib-md'">, libMdLoc:"<xsl:value-of select="java:com.scenari.m.ge.generator.web.WebGenUtils.getLocationLibMd(java:com.scenari.m.ge.xpath.dom.ZXPathGenProp.getGenerator($vDialog))"/>"</xsl:if>};
</script>

						<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-sc/scCoLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-sc/scSiLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-sc/scTiLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-sc/scPaLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-sc/scTooltipMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-sc/scDynUiMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-md/w_altMediaMgr/altMediaMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-md/w_scImgMgr/scImgMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-md/w_subWinFocus/subWinFocus.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-md/w_vtt/vtt.js')}"></script>
<script type="text/JavaScript" >
scImgMgr.registerZoom(&quot;des:a.overLnk&quot;,{toolbar:1,mag:1,titlePath:&quot;par:/nsi:/chi:span.capTi&quot;});

scImgMgr.setPathPgeFra(&quot;ide:footer&quot;);

</script>
	
<xsl:value-of select="computeStrAgent('/@@/tplWidget_\webMedia\gen\html\widg\htmlMeta.uiwidget;')" disable-output-escaping="yes"/><link type="text/css" rel="stylesheet" href="{translatePubPath2DestUrl('/skin/skin.css')}"/><script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/js/swfobject.js')}"/><script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/js/mediaExtras.js')}"/><xsl:value-of select="computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_Adata/xhtmlContent'))" disable-output-escaping="yes"/><xsl:value-of select="computeStrAgent('/@@/tplWidget_\webMedia\gen\html\widg\mgr\altMediaMgr.uiwidget;')" disable-output-escaping="yes"/><xsl:value-of select="computeStrAgent('/@@/tplWidget_\webMedia\gen\html\widg\subWin\subWinFocus.uiwidget;')" disable-output-escaping="yes"/><xsl:value-of select="computeStrAgent('/@@/tplWidget_\webMedia\gen\html\widg\userAgentControl.uiwidget;')" disable-output-escaping="yes"/><xsl:value-of select="computeStrAgent('/@@/tplWidget_\binaries\vtt\vtt.uiwidget;')" disable-output-escaping="yes"/></head><body><div id="webMedia"><header id="header" role="banner" aria-labelledby="banner-desc"><h1 id="banner-desc"><xsl:value-of select="titleAgent($vDialog)"/></h1><div id="accessMenu" aria-label="liens d&apos;évitement"><xsl:value-of select="computeStrAgent('/@@/tplWidget_\webMedia\gen\html\widg\accessBtns.uiwidget;')" disable-output-escaping="yes"/></div><div id="logo"><xsl:value-of select="computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_AlogoHeader/xhtmlContent'))" disable-output-escaping="yes"/></div></header><aside id="tabs" role="complementary"><xsl:value-of select="computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_Aextra/xhtmlContent'))" disable-output-escaping="yes"/></aside><main id="content" class="content" role="main"><xsl:choose><xsl:when test="computeStrAgent('/@@/tplCond_yupxopcnUdBbgHJ0kkWqj', .)"><div id="margin"><xsl:value-of select="computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_Amargin/xhtmlContent'))" disable-output-escaping="yes"/></div></xsl:when></xsl:choose><xsl:value-of select="computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_Amedia/xhtmlContent'))" disable-output-escaping="yes"/><div id="slideshow" tabindex="-1"><xsl:value-of select="computeStrAgent($vDialog, 'zone:mainZone')" disable-output-escaping="yes"/></div></main><nav id="controller" role="navigation" aria-label="Éléments de navigation" tabindex="-1"><xsl:value-of select="computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_Acontroller/xhtmlContent'))" disable-output-escaping="yes"/></nav></div><script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/js/webMedia.js')}"/><script type="text/JavaScript" src="{translatePubPath2DestUrl('/skin/skin.js')}"/></body></html></xsl:template></xsl:stylesheet>