<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:java="http://xml.apache.org/xslt/java" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" exclude-result-prefixes="java"><xsl:output method="xml" indent="no" encoding="UTF-8"/><xsl:param name="vDialog"/><xsl:param name="vAgent"/><xsl:template match="*"><html><head><xsl:variable name="vWinTitle"><xsl:value-of select="titleAgent($vDialog)"/></xsl:variable><title><xsl:value-of select="normalize-space($vWinTitle)"/></title><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/><meta http-equiv="Content-Style-Type" content="text/css"/>
						
						<link rel="stylesheet" type="text/css" href="{translatePubPath2DestUrl('/lib-md/w_scImgMgr/scImgMgr.css')}"/>


						<script type="text/JavaScript" >
/*0*/ var scServices = {id:"<xsl:value-of select="computeStrAgent('/@@/genId')"/>"};
/*1*/ window.scLoadParams = {destUri:"<xsl:value-of select="java:getDestUri(java:getPage($vDialog))"/>", pathToRoot:"<xsl:value-of select="resolveDestUri2DestUrl('/')"/>"<xsl:if test="java:com.scenari.m.ge.generator.web.WebGenUtils.getLocationSkin(java:com.scenari.m.ge.xpath.dom.ZXPathGenProp.getGenerator($vDialog))!='/skin'">, skinLoc:"<xsl:value-of select="java:com.scenari.m.ge.generator.web.WebGenUtils.getLocationSkin(java:com.scenari.m.ge.xpath.dom.ZXPathGenProp.getGenerator($vDialog))"/>"</xsl:if><xsl:if test="java:com.scenari.m.ge.generator.web.WebGenUtils.getLocationLibSc(java:com.scenari.m.ge.xpath.dom.ZXPathGenProp.getGenerator($vDialog))!='/lib-sc'">, libScLoc:"<xsl:value-of select="java:com.scenari.m.ge.generator.web.WebGenUtils.getLocationLibSc(java:com.scenari.m.ge.xpath.dom.ZXPathGenProp.getGenerator($vDialog))"/>"</xsl:if><xsl:if test="java:com.scenari.m.ge.generator.web.WebGenUtils.getLocationLibMd(java:com.scenari.m.ge.xpath.dom.ZXPathGenProp.getGenerator($vDialog))!='/lib-md'">, libMdLoc:"<xsl:value-of select="java:com.scenari.m.ge.generator.web.WebGenUtils.getLocationLibMd(java:com.scenari.m.ge.xpath.dom.ZXPathGenProp.getGenerator($vDialog))"/>"</xsl:if>};
</script>

						<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-sc/scCoLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-sc/scSiLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-sc/scTiLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-sc/scPaLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-sc/scTooltipMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-sc/scDynUiMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-md/w_treeMgr/treeMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-md/w_scMediaMgr/scMediaMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/lib-md/w_scImgMgr/scImgMgr.js')}"></script>
<script type="text/JavaScript" >
scImgMgr.registerAnimation(&quot;des:div.animFra&quot;);

scImgMgr.registerAnimation(&quot;des:div.animMiniFra&quot;,{toolbar:0});

scImgMgr.registerGallery(&quot;des:div.galFra&quot;);

scImgMgr.registerGallery(&quot;des:div.galMiniFra&quot;);
scImgMgr.registerZoom(&quot;des:a.overLnk&quot;,{toolbar:1,mag:1,titlePath:&quot;par:/nsi:/chi:span.capTi&quot;});

scImgMgr.setPathPgeFra(&quot;ide:footer&quot;);

</script>
	
<link type="text/css" rel="stylesheet" href="{translatePubPath2DestUrl('/skin/skin.css')}"/><xsl:text disable-output-escaping="yes"><![CDATA[<!--[if IE 8]>]]></xsl:text><script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/js/es5-dom-shim.ie8.js')}">//</script><script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/js/es5-dom-shim.js')}">//</script><xsl:text disable-output-escaping="yes"><![CDATA[<![endif]-->]]></xsl:text><script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/js/swfobject.js')}"/><script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/js/mediaExtras.js')}"/><xsl:value-of select="computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_Adata/xhtmlContent'))" disable-output-escaping="yes"/></head><body><div id="webMedia"><div id="main"><header id="header"><h1><xsl:value-of select="titleAgent($vDialog)"/></h1><div id="tabs"><xsl:value-of select="computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_Aextra/xhtmlContent'))" disable-output-escaping="yes"/></div></header><xsl:choose><xsl:when test="computeStrAgent('/@@/tplCond_Jn3gT8bcKgdVkFJR0CzESe', .)"><div id="content" class="contentWithToc"><xsl:value-of select="computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_Amedia/xhtmlContent'))" disable-output-escaping="yes"/><div id="margin"><table id="marginContent"><xsl:value-of select="computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_Amargin/xhtmlContent'))" disable-output-escaping="yes"/></table></div><div id="slideshow"><xsl:value-of select="computeStrAgent($vDialog, 'zone:mainZone')" disable-output-escaping="yes"/></div></div></xsl:when><xsl:otherwise><div id="content" class="content"><xsl:value-of select="computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_Amedia/xhtmlContent'))" disable-output-escaping="yes"/><div id="margin"><xsl:value-of select="computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_Amargin/xhtmlContent'))" disable-output-escaping="yes"/></div><div id="slideshow"><xsl:value-of select="computeStrAgent($vDialog, 'zone:mainZone')" disable-output-escaping="yes"/></div></div></xsl:otherwise></xsl:choose><nav id="controller"><xsl:value-of select="computeStrAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_Acontroller/xhtmlContent'))" disable-output-escaping="yes"/></nav></div></div><script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/js/webMedia.js')}"/><script type="text/JavaScript" src="{translatePubPath2DestUrl('/skin/skin.js')}"/></body></html></xsl:template></xsl:stylesheet>