<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:java="http://xml.apache.org/xslt/java" xmlns:wm="scpf.org:webMedia" xmlns:of="scpf.org:office" xmlns:sfm="http://www.utc.fr/ics/scenari/v3/filemeta" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" exclude-result-prefixes="java wm of " >
<xsl:param name="vSrcNode"/>

<xsl:template match="sfm:flv">
	<title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="wm:animM"><xsl:value-of select="sp:title"/></xsl:for-each></title>
	<xsl:apply-templates/>
</xsl:template>

<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="wm:animM">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
			
		
			
		
			
			
		
			
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="wm:commonM">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
		
			
		
			
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="wm:licenseM">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
			
				
				
				
				
				
				
				
				
				
				
				
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:altAnimM">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
			
				
				
			
			
				
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:altAnimM/sp:subTitles/sp:subTitle[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="of_altAnimM:subTitles:subTitle:"/>
</xsl:template>
			
		
			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:altAnimM/sp:audioDesc[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="of_altAnimM:audioDesc:"/>
</xsl:template>
		
			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:altAnimM/sp:transcript[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="of_altAnimM:transcript:"/>
</xsl:template>
		
			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:altAnimM/sp:altVideo[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="of_altAnimM:altVideo:"/>
</xsl:template>
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="wm:altMediaM">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="wm:altMediaM/sp:altStream[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="wm_altMediaM:altStream:"/>
</xsl:template>
		
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="wm:altMediaM/sp:altOggWebM[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="wm_altMediaM:altOggWebM:"/>
</xsl:template>
		
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="wm:altMediaM/sp:altMpeg[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="wm_altMediaM:altMpeg:"/>
</xsl:template>
		

<!-- <xsl:template match="*"/> non : sinon les modeles internalises ne sont pas traites -->
<xsl:template match="text()|@*"/></xsl:stylesheet>